Description

Lizzie Macauley-Lewis writes:

"l am trying to create an RSS feed on the commons using the powerpress plugin for my podcastproject. While attempting to connect
my RSS feed to itunes | keep getting a generic error notification.

The bluberry / powerpress FAQ suggest that the error is caused http vs. https - could that be the issue, as everything else has
checked out correctly. Screen shots of the error message and the FAQs are attached.

Thank you!
Lizzie

Submitted from: https://ancientarchny.commons.gc.cuny.edu/2018/09/07/episode-1-from-the-appian-way-to-broadway/"

History

#1 - 2018-09-07 04:08 PM - Boone Gorges
- Status changed from New to Reporter Feedback

- Target version set to Not tracked

Here's a recent support thread describing similar problems: https://wordpress.org/support/topic/submitting-to-itunes-and-feed-validation-error/

It sounds like it'll be necessary to reach out to Apple to get more information on why the submission is failing. (I checked HTTPS issues as well as
HEAD requests, which were both mentioned on the thread, but they're working as expected, so it must be something else.) Since Lizzie is the owner
of the podcast, I'd suggest that she use the Contact Us link at the bottom of http://itun rtner.apple.com/en verview to state that her
podcast submission is failing, and to ask for more information about the failure.

#2 - 2018-09-14 10:13 PM - Marilyn Weber
- File Lizzieltunes.JPG added

Lizzie received a response, which I've attached. It seems the SSL certificate is the problem?

#3 - 2018-09-17 10:27 AM - Boone Gorges

- Status changed from Reporter Feedback to In Progress

Wow, that's a new one. Here's the list of compatible authorities: https:/itunespartner.apple.com/en/podcasts/fag#67333021

It just so happens that GC IT is in the process of reworking the SSL infrastructure for sites like the Commons, a reworking that will involve a switch to
LetsEncrypt, which is supported by Apple. I'll ping Lihua to see how that process is moving along, and to confirm that the main Commons certificate
will be switched over. If so, then the current issue is one that will disappear after the migration. If not, we'll have to talk about the remaining
possibilities.

#4 - 2018-09-26 02:26 PM - Boone Gorges
I've confirmed with IT that the infrastructure changes will include a move to LetsEncrypt for all Commons sites. Once this happens, iTunes submission

should begin to work. This migration is due to happen sometime this fall. I'll try to follow up here when it does. Thanks for the patience.

#5 - 2018-12-10 03:57 PM - Boone Gorges

- Status changed from In Progress to Resolved
https://ancientarchny.commons.gc.cuny.edu/2018/09/07/episode-1-from-the-appian-way-to-broadway/
https://wordpress.org/support/topic/submitting-to-itunes-and-feed-validation-error/
http://itunespartner.apple.com/en/podcasts/overview
https://itunespartner.apple.com/en/podcasts/faq#67333021

The Commons has been moved to SSL across the board, using LE as the certificate authority. As such, Apple should now accept the RSS feed.
Please feel free to reopen if this is not the case.
